# [solution_name]'s scan target

When a Docker image is run; for example, using a `docker run` command, a container is created. That container has a file system; in other words, the container file system. The container file system at the instant the container is created; in other words, the initial container file system, can be determined in advance from the image without running the image. Because the target image is not yet trusted, Docker Inspector does not run the image; that is, it does not create a container from the image, but it does construct the initial container file system, which is the file system a container has at the instant it is created.

When [solution_name] invokes both Docker Inspector because either detect.docker.image or detect.docker.tar is set, and the [blackduck_signature_scanner_name], as it does by default, the target of that [blackduck_signature_scan_act] is the initial container file system constructed by Docker Inspector, packaged in a way to optimize results from [blackduck_product_name]'s matching algorithms. Rather than directly running the [blackduck_signature_scanner_name] on the initial container file system, [solution_name] runs the [blackduck_signature_scanner_name] on a new image; in other words, the squashed image, constructed using the initial container file system built by Docker Inspector. Packaging the initial container file system in a Docker image triggers matching algorithms within [blackduck_product_name] that optimize match results for Linux file systems.

In earlier versions of [solution_name] / Docker Inspector, [solution_name] ran the [blackduck_signature_scanner_name] directly on the target image. This approach had the disadvantage of potentially producing false positives under certain circumstances. For example, suppose your target image consists of multiple layers. If version 1 of a package is installed in layer 0,
and then replaced with a newer version of that package (version 2) in layer 1, both versions exist in the image, even though the initial container file system only includes version 2. A [blackduck_signature_scan_act] of the target image shows both versions, even though version 1 has been effectively replaced with version 2. The current [solution_name] / Docker Inspector functionality avoids this potential for false positives.

By default, [solution_name] also runs [blackduck_binary_scan_capability] on the initial container file system.
If your [blackduck_product_name] server does not have [blackduck_binary_scan_capability] enabled, you
should disable [blackduck_binary_scan_capability]. For example, you might set: `--detect.tools.excluded=BINARY_SCAN`.
