
# Properties

This page lists all [solution_name] properties including deprecated and advanced.  For most use cases, refer to [basic properties](basic-properties.md).


## [packagist](detectors/packagist.md)

| Property | Description |
| --- | --- |
| [detect.packagist.include.dev.dependencies](detectors/packagist.md#include-packagist-development-dependencies) | default: true <br /><br /> Include Packagist Development Dependencies: Set this value to false if you would like to exclude your dev requires dependencies when ran. <br /><br />  |


## [impact\-analysis](configuration/impact-analysis.md)

| Property | Description |
| --- | --- |
| [detect.impact.analysis.enabled](configuration/impact-analysis.md#vulnerability-impact-analysis-enabled) | default: false <br /><br /> Vulnerability Impact Analysis Enabled: If set to true, Detect will attempt to look for *.class files and generate a Vulnerability Impact Analysis Report for upload to Black Duck. <br /><br />  |
| [detect.impact.analysis.output.path](configuration/impact-analysis.md#impact-analysis-output-directory) | Impact Analysis Output Directory: The path to the output directory for Impact Analysis reports. <br /><br />  |


## [sbt](detectors/sbt.md)

| Property | Description |
| --- | --- |
| [detect.sbt.arguments](detectors/sbt.md#additional-sbt-command-arguments) | Additional sbt command Arguments: A space-separated list of additional arguments to add to sbt command line when running Detect against an SBT project. Detect will execute the command 'sbt {additional arguments} {Detect-added arguments}'. <br /><br />  |
| [detect.sbt.excluded.configurations](detectors/sbt.md#sbt-configurations-excluded-deprecated) <br /> (Deprecated)| SBT Configurations Excluded: The names of the sbt configurations to exclude. <br /><br /> **DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. It will be removed in 8.0.0.** |
| [detect.sbt.included.configurations](detectors/sbt.md#sbt-configurations-included-deprecated) <br /> (Deprecated)| SBT Configurations Included: The names of the sbt configurations to include. <br /><br /> **DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. It will be removed in 8.0.0.** |
| [detect.sbt.report.search.depth](detectors/sbt.md#sbt-report-search-depth-deprecated) <br /> (Deprecated)| default: 3 <br /><br /> SBT Report Search Depth: Depth the sbt detector will use to search for report files. <br /><br /> **DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. It will be removed in 8.0.0.** |


## [bitbake](detectors/bitbake.md)

| Property | Description |
| --- | --- |
| [detect.bitbake.build.env.name](detectors/bitbake.md#bitbake-init-script-name) | default: oe-init-build-env <br /><br /> BitBake Init Script Name: The name of the build environment init script. <br /><br />  |
| [detect.bitbake.package.names](detectors/bitbake.md#bitbake-package-names) | BitBake Package Names: A comma-separated list of package names from which dependencies are extracted. <br /><br />  |
| [detect.bitbake.source.arguments](detectors/bitbake.md#bitbake-source-arguments) | BitBake Source Arguments: A comma-separated list of arguments to supply when sourcing the build environment init script. <br /><br />  |
| [detect.bitbake.search.depth](detectors/bitbake.md#bitbake-search-depth) | default: 1 <br /><br /> BitBake Search Depth: The depth at which Detect will search for files generated by Bitbake. <br /><br />  |


## [conan](detectors/conan.md)

| Property | Description |
| --- | --- |
| [detect.conan.path](detectors/conan.md#conan-executable) | Conan Executable: The path to the conan executable. <br /><br />  |
| [detect.conan.include.build.dependencies](detectors/conan.md#include-conan-build-dependencies) | default: true <br /><br /> Include Conan Build Dependencies: Set this value to false if you would like to exclude your project's build dependencies. <br /><br />  |
| [detect.conan.arguments](detectors/conan.md#additional-conan-arguments) | Additional Conan Arguments: A space-separated list of additional arguments to add to the 'conan info' command line when running Detect against a Conan project. Detect will execute the command 'conan info {additional arguments} .' <br /><br />  |
| [detect.conan.lockfile.path](detectors/conan.md#conan-lockfile) | Conan Lockfile: The path to the conan lockfile to apply when running 'conan info' to get the dependency graph. If set, Detect will execute the command 'conan info --lockfile {lockfile} .' <br /><br />  |
| [detect.conan.attempt.package.revision.match](detectors/conan.md#attempt-package-revision-match) | default: false <br /><br /> Attempt Package Revision Match: If package revisions are available (a Conan lock file is found or provided, and Conan's revisions feature is enabled), require that each dependency's package revision match the package revision of the component in the KB. <br /><br />  |


## [project](configuration/project.md)

| Property | Description |
| --- | --- |
| [detect.policy.check.fail.on.severities](configuration/project.md#fail-on-policy-violation-severities) | default: NONE <br /><br />  Acceptable Values: ALL, NONE, BLOCKER, CRITICAL, MAJOR, MINOR, OK, TRIVIAL, UNSPECIFIED <br /><br />Fail on Policy Violation Severities: A comma-separated list of policy violation severities that will fail Detect. If this is set to NONE, Detect will not fail due to policy violations. A value of ALL is equivalent to all of the other possible values except NONE. <br /><br />  |
| [detect.project.description](configuration/project.md#project-description) | Project Description: If project description is specified, your project version will be created with this description. <br /><br />  |
| [detect.project.name](configuration/project.md#project-name) | Project Name: An override for the name to use for the Black Duck project. If not supplied, Detect will attempt to use the tools to figure out a reasonable project name. If that fails, the final part of the directory path where the inspection is taking place will be used. <br /><br />  |
| [detect.project.tier](configuration/project.md#project-tier) | Project Tier: If a Black Duck project tier is specified, your project will be created with this tier. <br /><br />  |
| [detect.project.version.name](configuration/project.md#version-name) | Version Name: An override for the version to use for the Black Duck project. If not supplied, Detect will attempt to use the tools to figure out a reasonable version name. If that fails, the current date will be used. <br /><br />  |
| [detect.project.version.nickname](configuration/project.md#version-nickname) | Version Nickname: If a project version nickname is specified, your project version will be created with this nickname. <br /><br />  |
| [detect.project.version.notes](configuration/project.md#version-notes) | Version Notes: If project version notes are specified, your project version will be created with these notes. <br /><br />  |
| [detect.project.version.phase](configuration/project.md#version-phase) | default: DEVELOPMENT <br /><br />  Acceptable Values: ARCHIVED, DEPRECATED, DEVELOPMENT, PLANNING, PRERELEASE, RELEASED <br /><br />Version Phase: An override for the Project Version phase. <br /><br />  |
| [detect.project.version.update](configuration/project.md#update-project-version) | default: false <br /><br /> Update Project Version: If set to true, will update the Project Version with the configured properties. See detailed help for more information. <br /><br />  |
| [detect.clone.project.version.name](configuration/project.md#clone-project-version-name-advanced) <br /> (Advanced) | Clone Project Version Name: The name of the project version to clone this project version from. Respects the given Clone Categories in detect.project.clone.categories or as set on the Black Duck server. <br /><br />  |
| [detect.clone.project.version.latest](configuration/project.md#clone-latest-project-version-advanced) <br /> (Advanced) | default: false <br /><br /> Clone Latest Project Version: If set to true, detect will attempt to use the latest project version as the clone for this project. The project must exist and have at least one version. <br /><br />  |
| [detect.code.location.name](configuration/project.md#scan-name-advanced) <br /> (Advanced) | Scan Name: An override for the base name Detect will use for the scan (codelocation) it creates. Detect appends a suffix to the base name that indicates the source ("scan" for the signature scanner, "gradle/bom" for the Gradle detector, etc.). If this property is set and multiple code locations are generated from the same source, Detect will also append an index to avoid name collisions. When this property is set, detect.project.codelocation.prefix and detect.project.codelocation.suffix are ignored. <br /><br />  |
| [detect.project.application.id](configuration/project.md#application-id-advanced) <br /> (Advanced) | Application ID: Sets the 'Application ID' project setting. <br /><br />  |
| [detect.project.group.name](configuration/project.md#project-group-name-advanced) <br /> (Advanced) | Project Group Name: Sets the 'Project Group' to assign the project to. Must match exactly to an existing project group on Black Duck. <br /><br />  |
| [detect.custom.fields.project](configuration/project.md#custom-fields-advanced) <br /> (Advanced) | Custom Fields: A  list of custom fields with a label and comma-separated value starting from index 0. For each index, provide one label and one value. For example, to set a custom field with label 'example' to 'one,two': `detect.custom.fields.project[0].label='example'` and `detect.custom.fields.project[0].value='one,two'`. To set another field, use index 1. Note that these will not show up in the detect configuration log. <br /><br />  |
| [detect.custom.fields.version](configuration/project.md#custom-fields-advanced) <br /> (Advanced) | Custom Fields: A  list of custom fields with a label and comma-separated value starting from index 0. For each index, provide one label and one value. For example , to set a custom field with label 'example' to 'one,two': `detect.custom.fields.version[0].label='example'` and `detect.custom.fields.version[0].value='one,two'`. To set another field, use index 1. Note that these will not show up in the detect configuration log. <br /><br />  |
| [detect.project.clone.categories](configuration/project.md#clone-project-categories-advanced) <br /> (Advanced) | default: ALL <br /><br />  Acceptable Values: ALL, NONE, COMPONENT_DATA, CUSTOM_FIELD_DATA, LICENSE_TERM_FULFILLMENT, VERSION_SETTINGS, VULN_DATA <br /><br />Clone Project Categories: The value of this property is used to set the 'Cloning' settings on created Black Duck projects. If property detect.project.version.update is set to true, the value of this property is used to set the 'Cloning' settings on updated Black Duck projects. <br /><br />  |
| [detect.project.codelocation.prefix](configuration/project.md#scan-name-prefix-advanced) <br /> (Advanced) | Scan Name Prefix: A prefix to the name of the scans created by Detect. Useful for running against the same projects on multiple machines. <br /><br />  |
| [detect.project.codelocation.suffix](configuration/project.md#scan-name-suffix-advanced) <br /> (Advanced) | Scan Name Suffix: A suffix to the name of the scans created by Detect. <br /><br />  |
| [detect.project.codelocation.unmap](configuration/project.md#unmap-all-other-scans-for-project-advanced) <br /> (Advanced) | default: false <br /><br /> Unmap All Other Scans for Project: If set to true, unmaps all other scans mapped to the project version produced by the current run of Detect. <br /><br />  |
| [detect.project.user.groups](configuration/project.md#project-user-groups-advanced) <br /> (Advanced) | Project User Groups: A comma-separated list of names of user groups to add to the project. <br /><br />  |
| [detect.project.tags](configuration/project.md#project-tags-advanced) <br /> (Advanced) | Project Tags: A comma-separated list of tags to add to the project. This property is not supported when using Synopsys Detect in offline mode. <br /><br />  |
| [detect.project.level.adjustments](configuration/project.md#allow-project-level-adjustments-advanced) <br /> (Advanced) | default: true <br /><br /> Allow Project Level Adjustments: Sets the component adjustments setting on the Black Duck project. <br /><br />  |
| [detect.parent.project.name](configuration/project.md#parent-project-name-advanced) <br /> (Advanced) | Parent Project Name: When a parent project and version name are specified, the created detect project will be added as a component to the specified parent project version. The specified parent project and parent project version must exist on Black Duck. <br /><br />  |
| [detect.parent.project.version.name](configuration/project.md#parent-project-version-name-advanced) <br /> (Advanced) | Parent Project Version Name: When a parent project and version name are specified, the created detect project will be added as a component to the specified parent project version. The specified parent project and parent project version must exist on Black Duck. <br /><br />  |
| [detect.project.version.distribution](configuration/project.md#version-distribution-advanced) <br /> (Advanced) | default: EXTERNAL <br /><br />  Acceptable Values: EXTERNAL, INTERNAL, OPENSOURCE, SAAS <br /><br />Version Distribution: An override for the Project Version distribution <br /><br />  |
| [detect.bom.aggregate.name](configuration/project.md#aggregate-bdio-file-name-deprecated) <br /> (Deprecated)| Aggregate BDIO File Name: If set, this will aggregate all the BOMs to create a single BDIO file with the filename provided. <br /><br /> **DEPRECATED: This property is being removed, along with the ability to set the aggregation mode. Detect will only operate in SUBPROJECT aggregation mode to more accurately report the dependency graph. It will be removed in 8.0.0.** |
| [detect.bom.aggregate.remediation.mode](configuration/project.md#bdio-aggregate-remediation-mode-deprecated) <br /> (Deprecated)| default: TRANSITIVE <br /><br />  Acceptable Values: DIRECT, TRANSITIVE, SUBPROJECT <br /><br />BDIO Aggregate Remediation Mode: If an aggregate BDIO file is being generated and this property is set to DIRECT, the aggregate BDIO file will exclude code location nodes from the top layer of the dependency tree to preserve the correct identification of direct dependencies in the resulting Black Duck BOM. When this property is set to TRANSITIVE (the default), component source information is preserved by including code location nodes at the top of the dependency tree, but all components will appear as TRANSITIVE in the BOM. SUBPROJECT aggregation mode provides both component source information and correct identification of direct and transitive dependencies by encoding code location nodes as subprojects in the graph. SUBPROJECT aggregation mode must only be used with Black Duck 2021.8.0 or later, and has no effect (is equivalent to TRANSITIVE mode) when detect.bdio2.enabled is set to false. <br /><br /> **DEPRECATED: This property is being removed, along with the ability to set the aggregation mode. Detect will only operate in SUBPROJECT aggregation mode to more accurately report the dependency graph. It will be removed in 8.0.0.** |


## [pnpm](detectors/pnpm.md)

| Property | Description |
| --- | --- |
| [detect.pnpm.dependency.types](detectors/pnpm.md#pnpm-dependency-types) | default: ALL <br /><br />  Acceptable Values: ALL, NONE, APP, DEV, OPTIONAL <br /><br />pnpm Dependency Types: Set this value to indicate which types of pnpm dependencies you want Detect to report. <br /><br />  |


## [docker](detectors/docker.md)

| Property | Description |
| --- | --- |
| [detect.docker.image](detectors/docker.md#docker-image-name) | Docker Image Name: The Docker image name (repo:tag) to inspect. <br /><br />  |
| [detect.docker.image.id](detectors/docker.md#docker-image-id) | Docker Image ID: The ID (shown in the 'IMAGE ID' column of 'docker images' output) of the target Docker image. The target image must already be local (must appear in the output of 'docker images'). <br /><br />  |
| [detect.docker.path](detectors/docker.md#docker-executable) | Docker Executable: Path to the docker executable (used to load image inspector Docker images in order to run the Docker Inspector in air gap mode). <br /><br />  |
| [detect.docker.tar](detectors/docker.md#image-archive-file) | Image Archive File: An image .tar file which is either a Docker image saved to a file using the 'docker save' command, or an Open Container Initiative (OCI) image .tar file. The file must be readable by all. <br /><br />  |
| [detect.docker.passthrough](detectors/docker.md#docker-passthrough-advanced) <br /> (Advanced) | Docker Passthrough: Additional properties may be passed to the docker inspector by adding the prefix detect.docker.passthrough to each Docker Inspector property name and assigning a value. The 'detect.docker.passthrough' prefix will be removed from the property name to generate the property name passed to Docker Inspector (with the given value). <br /><br />  |
| [detect.docker.inspector.path](detectors/docker.md#docker-inspector-46jar-file-path-advanced) <br /> (Advanced) | Docker Inspector .jar File Path: This is used to override using the hosted Docker Inspector .jar file by binary repository url. You can use a compatible (the same major version that Detect downloads by default) local Docker Inspector .jar file at this path. <br /><br />  |
| [detect.docker.inspector.version](detectors/docker.md#docker-inspector-version-advanced) <br /> (Advanced) | Docker Inspector Version: Version of the Docker Inspector to use. By default Detect will attempt to automatically determine the version to use. <br /><br />  |
| [detect.docker.path.required](detectors/docker.md#run-without-docker-in-path-advanced) <br /> (Advanced) | default: false <br /><br /> Run Without Docker in Path: If set to true, Detect will attempt to run the Docker Inspector only if it finds a docker client executable. <br /><br />  |
| [detect.docker.platform.top.layer.id](detectors/docker.md#platform-top-layer-id-advanced) <br /> (Advanced) | Platform Top Layer ID: To exclude components from platform layers from the results, assign to this property the ID of the top layer of the platform image. Get the platform top layer ID from the output of 'docker inspect platformimage:tag'. The platform top layer ID is the last item in RootFS.Layers. For more information, see 'Isolating application components' in the Docker Inspector documentation. <br /><br />  |


## [bazel](detectors/bazel.md)

| Property | Description |
| --- | --- |
| [detect.bazel.path](detectors/bazel.md#bazel-executable) | Bazel Executable: The path to the Bazel executable. <br /><br />  |
| [detect.bazel.target](detectors/bazel.md#bazel-target) | Bazel Target: The Bazel target (for example, //foo:foolib) for which dependencies are collected. For Detect to run Bazel, this property must be set. <br /><br />  |
| [detect.bazel.cquery.options](detectors/bazel.md#bazel-cquery-additional-options) | Bazel cquery additional options: A comma-separated list of additional options to pass to the bazel cquery command. <br /><br />  |
| [detect.bazel.dependency.type](detectors/bazel.md#bazel-workspace-external-dependency-rule) |  Acceptable Values: ALL, NONE, MAVEN_JAR, MAVEN_INSTALL, HASKELL_CABAL_LIBRARY <br /><br />Bazel workspace external dependency rule: The Bazel workspace rule(s) used to pull in external dependencies. If not set, Detect will attempt to determine the rule(s) from the contents of the WORKSPACE file. <br /><br />  |


## [dart](detectors/dart.md)

| Property | Description |
| --- | --- |
| [detect.dart.path](detectors/dart.md#dart-executable) | dart Executable: The path to the dart executable. <br /><br />  |
| [detect.flutter.path](detectors/dart.md#flutter-executable) | flutter Executable: The path to the flutter executable. <br /><br />  |
| [detect.pub.deps.exclude.dev](detectors/dart.md#detect-dart-pub-deps-exclude-dev-dependencies-advanced) <br /> (Advanced) | default: false <br /><br /> Detect Dart Pub Deps Exclude Dev Dependencies: If true, the Dart Detector will pass the option --no-dev when running the command 'pub deps'. <br /><br />  |


## [general](configuration/general.md)

| Property | Description |
| --- | --- |
| [detect.detector.buildless](configuration/general.md#buildless-mode) | default: false <br /><br /> Buildless Mode: If set to true, only Detector's capable of running without a build will be run. <br /><br />  |
| [detect.target.type](configuration/general.md#detect-target) | default: SOURCE <br /><br />  Acceptable Values: SOURCE, IMAGE <br /><br />Detect Target: Informs detect of what is being scanned which allows improved user experience when scanning different types of targets. <br /><br />  |
| [detect.wait.for.results](configuration/general.md#wait-for-results) | default: false <br /><br /> Wait For Results: If set to true, Detect will wait for Synopsys products until results are available or the detect.report.timeout is exceeded. <br /><br />  |
| [detect.follow.symbolic.links](configuration/general.md#follow-symbolic-links) | default: true <br /><br /> Follow Symbolic Links: If set to true, Detect will follow symbolic links when searching for detectors, when searching for files that select detectors (such as Bitbake and Sbt) need, when searching for directories to exclude from signature scan, and when searching for binary scan targets.  Symbolic links are not supported for Impact Analysis. <br /><br />  |
| [detect.parallel.processors](configuration/general.md#detect-parallel-processors-advanced) <br /> (Advanced) | default: 1 <br /><br /> Detect Parallel Processors: The number of threads to run processes in parallel, defaults to 1, but if you specify less than or equal to 0, the number of processors on the machine will be used. <br /><br />  |
| [detect.ignore.connection.failures](configuration/general.md#detect-ignore-connection-failures-advanced) <br /> (Advanced) | default: false <br /><br /> Detect Ignore Connection Failures: If true, Detect will ignore any products that it cannot connect to. <br /><br />  |
| [detect.force.success](configuration/general.md#force-success-advanced) <br /> (Advanced) | default: false <br /><br /> Force Success: If true, Detect will always exit with code 0. <br /><br />  |


## [pear](detectors/pear.md)

| Property | Description |
| --- | --- |
| [detect.pear.only.required.deps](detectors/pear.md#include-only-required-pear-dependencies) | default: false <br /><br /> Include Only Required Pear Dependencies: Set to true if you would like to include only required packages. <br /><br />  |
| [detect.pear.path](detectors/pear.md#pear-executable) | Pear Executable: The path to the pear executable. <br /><br />  |


## [default](configuration/default.md)

| Property | Description |
| --- | --- |
| [detect.project.inspector.arguments](configuration/default.md#project-inspector-additional-arguments-advanced) <br /> (Advanced) | Project Inspector Additional Arguments: A space-separated list of additional options to pass to all invocations of the project inspector. <br /><br />  |
| [detect.phone.home.passthrough](configuration/default.md#phone-home-passthrough-advanced) <br /> (Advanced) | Phone Home Passthrough: Additional values may be sent home for usage information. The keys will be sent without the prefix. <br /><br />  |


## [pip](detectors/pip.md)

| Property | Description |
| --- | --- |
| [detect.pip.project.name](detectors/pip.md#pip-project-name) | PIP Project Name: The name of your PIP project, to be used if your project's name cannot be correctly inferred from its setup.py file. <br /><br />  |
| [detect.pip.project.version.name](detectors/pip.md#pip-project-version-name) | PIP Project Version Name: The version of your PIP project, to be used if your project's version name cannot be correctly inferred from its setup.py file. <br /><br />  |
| [detect.pip.requirements.path](detectors/pip.md#pip-requirements-path) | PIP Requirements Path: A comma-separated list of paths to requirements files, to be used to analyze requirements files with a filename other than requirements.txt or to specify which requirements files should be analyzed. <br /><br />  |
| [detect.pip.only.project.tree](detectors/pip.md#pip-include-only-project-tree) | default: false <br /><br /> PIP Include Only Project Tree: By default, pipenv includes all dependencies found in the graph. Set to true to only include dependencies found underneath the dependency that matches the provided pip project and version name. <br /><br />  |
| [detect.pip.path](detectors/pip.md#pip-executable) | Pip Executable: The path to the Pip executable. <br /><br />  |
| [detect.pipenv.path](detectors/pip.md#pipenv-executable) | Pipenv Executable: The path to the Pipenv executable. <br /><br />  |


## [conda](detectors/conda.md)

| Property | Description |
| --- | --- |
| [detect.conda.environment.name](detectors/conda.md#anaconda-environment-name) | Anaconda Environment Name: The name of the anaconda environment used by your project. <br /><br />  |
| [detect.conda.path](detectors/conda.md#conda-executable) | Conda Executable: The path to the conda executable. <br /><br />  |


## [binary\-scanner](configuration/binary-scanner.md)

| Property | Description |
| --- | --- |
| [detect.binary.scan.file.path](configuration/binary-scanner.md#binary-scan-target) | Binary Scan Target: If specified, this file and this file only will be uploaded for binary scan analysis. This property takes precedence over detect.binary.scan.file.name.patterns. The BINARY_SCAN tool does not provide project and version name defaults to Detect, so you need to set project and version names via properties when only the BINARY_SCAN tool is invoked. <br /><br />  |
| [detect.binary.scan.file.name.patterns](configuration/binary-scanner.md#binary-scan-filename-patterns) | Binary Scan Filename Patterns: If specified, all files in the source directory whose names match these file name patterns will be zipped and uploaded for binary scan analysis. This property will not be used if detect.binary.scan.file.path is specified. Search depth is controlled by property detect.binary.scan.search.depth. This property accepts filename globbing-style wildcards. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details. <br /><br />  |
| [detect.binary.scan.search.depth](configuration/binary-scanner.md#binary-scan-search-depth) | default: 0 <br /><br /> Binary Scan Search Depth: When binary scan filename patterns are being used to search for binary files to scan, this property sets the depth at which Detect will search for files (that match those patterns) to upload for binary scan analysis. <br /><br />  |


## [hex](detectors/hex.md)

| Property | Description |
| --- | --- |
| [detect.hex.rebar3.path](detectors/hex.md#rebar3-executable) | Rebar3 Executable: The path to the rebar3 executable. <br /><br />  |


## [python](detectors/python.md)

| Property | Description |
| --- | --- |
| [detect.python.path](detectors/python.md#python-executable) | Python Executable: The path to the Python executable. <br /><br />  |


## [debug](configuration/debug.md)

| Property | Description |
| --- | --- |
| [detect.diagnostic](configuration/debug.md#diagnostic-mode) | default: false <br /><br /> Diagnostic Mode: When enabled, diagnostic mode collects all files generated by Synopsys Detect and zips the files using a unique run ID. It includes logs, BDIO files, extraction files, and reports. <br /><br />  |
| [detect.diagnostic.extended](configuration/debug.md#diagnostic-mode-extended) | default: false <br /><br /> Diagnostic Mode Extended: When enabled, Synopsys Detect performs the actions of --detect.diagnostic, but also includes relevant files such as lock files and build artifacts. <br /><br />  |


## [maven](detectors/maven.md)

| Property | Description |
| --- | --- |
| [detect.maven.build.command](detectors/maven.md#maven-build-command) | Maven Build Command: Maven command line arguments to add to the mvn/mvnw command line. <br /><br />  |
| [detect.maven.path](detectors/maven.md#maven-executable) | Maven Executable: The path to the Maven executable (mvn or mvnw). <br /><br />  |
| [detect.maven.included.scopes](detectors/maven.md#dependency-scope-included) | Dependency Scope Included: A comma separated list of Maven scopes. Output will be limited to dependencies within these scopes (overridden by exclude). <br /><br />  |
| [detect.maven.excluded.scopes](detectors/maven.md#dependency-scope-excluded) | Dependency Scope Excluded: A comma separated list of Maven scopes. Output will be limited to dependencies outside these scopes (overrides include). <br /><br />  |
| [detect.maven.excluded.modules](detectors/maven.md#maven-modules-excluded-advanced) <br /> (Advanced) | Maven Modules Excluded: A comma-separated list of Maven modules (sub-projects) to exclude. <br /><br />  |
| [detect.maven.included.modules](detectors/maven.md#maven-modules-included-advanced) <br /> (Advanced) | Maven Modules Included: A comma-separated list of Maven modules (sub-projects) to include. <br /><br />  |
| [detect.maven.include.plugins](detectors/maven.md#maven-include-plugins-deprecated) <br /> (Deprecated)| default: false <br /><br /> Maven Include Plugins: Whether or not detect will include the plugins section when parsing a pom.xml in buildless legacy mode.  <br /><br /> **DEPRECATED: This property is being removed. The project inspector will be used to parse maven projects. Please configure the project inspector to include modules. It will be removed in 8.0.0.** |
| [detect.maven.buildless.legacy.mode](detectors/maven.md#maven-buildless-legacy-mode-deprecated) <br /> (Deprecated)| default: true <br /><br /> Maven Buildless Legacy Mode: Legacy maven parsing supports plugins but the newer project inspector parser does not. Setting to false enables the project inspector for maven. <br /><br /> **DEPRECATED: This property is being removed. The legacy maven buildless parser is being replaced by the project inspector. It will be removed in 8.0.0.** |


## [go](detectors/go.md)

| Property | Description |
| --- | --- |
| [detect.go.path](detectors/go.md#go-executable) | Go Executable: Path to the Go executable. <br /><br />  |
| [detect.go.mod.enable.verification](detectors/go.md#go-mod-dependency-verification) | default: true <br /><br /> Go Mod Dependency Verification: When enabled, Detect will use the results of 'go mod why' to filter out unused dependencies. Set to false if you have an empty BOM. <br /><br />  |


## [npm](detectors/npm.md)

| Property | Description |
| --- | --- |
| [detect.npm.arguments](detectors/npm.md#additional-npm-command-arguments) | Additional NPM Command Arguments: A space-separated list of additional arguments that Detect will add at then end of the npm ls command line when Detect executes the NPM CLI Detector on an NPM project. <br /><br />  |
| [detect.npm.include.dev.dependencies](detectors/npm.md#include-npm-development-dependencies) | default: true <br /><br /> Include NPM Development Dependencies: Set this value to false if you would like to exclude your dev dependencies when ran. <br /><br />  |
| [detect.npm.include.peer.dependencies](detectors/npm.md#include-npm-peer-dependencies) | default: true <br /><br /> Include NPM Peer Dependencies: Set this value to false if you would like to exclude your peer dependencies when ran. <br /><br />  |
| [detect.npm.path](detectors/npm.md#npm-executable) | NPM Executable: The path to the Npm executable. <br /><br />  |


## [blackduck\-server](configuration/blackduck-server.md)

| Property | Description |
| --- | --- |
| [blackduck.api.token](configuration/blackduck-server.md#black-duck-api-token) | Black Duck API Token: The access token used to authenticate with the Black Duck Server. <br /><br />  |
| [blackduck.offline.mode](configuration/blackduck-server.md#offline-mode) | default: false <br /><br /> Offline Mode: This can disable any Black Duck communication - if true, Detect will not upload BDIO files, it will not check policies, and it will not download and install the signature scanner. <br /><br />  |
| [blackduck.url](configuration/blackduck-server.md#black-duck-url) | Black Duck URL: URL of the Black Duck server. <br /><br />  |
| [detect.test.connection](configuration/blackduck-server.md#test-connection-to-black-duck) | default: false <br /><br /> Test Connection to Black Duck: Test the connection to Black Duck with the current configuration. <br /><br />  |
| [blackduck.trust.cert](configuration/blackduck-server.md#trust-all-ssl-certificates-advanced) <br /> (Advanced) | default: false <br /><br /> Trust All SSL Certificates: If true, automatically trust the certificate for the current run of Detect only. <br /><br />  |
| [detect.timeout](configuration/blackduck-server.md#detect-timeout-advanced) <br /> (Advanced) | default: 300 <br /><br /> Detect Timeout: The amount of time in seconds Detect will wait for network connection, for scans to finish, and to generate reports (i.e. risk and policy check). When changing this value, keep in mind the checking of policies might have to wait for scans to process which can take some time. <br /><br />  |
| [detect.blackduck.scan.mode](configuration/blackduck-server.md#detect-scan-mode-advanced) <br /> (Advanced) | default: INTELLIGENT <br /><br />  Acceptable Values: RAPID, INTELLIGENT <br /><br />Detect Scan Mode: Set the Black Duck scanning mode of Detect <br /><br />  |
| [blackduck.legacy.upload.enabled](configuration/blackduck-server.md#use-legacy-bdio-upload-endpoints-in-black-duck-deprecated) <br /> (Deprecated)| default: true <br /><br /> Use legacy BDIO upload endpoints in Black Duck: If set to true, Detect will upload the BDIO files to Black Duck using older REST APIs.  Set this to false if you want to use the intelligent persistent scan endpoints in Black Duck.  The intelligent persistent endpoints are a Black Duck feature to be used with a later Black Duck version. <br /><br /> **DEPRECATED: This property is being removed as support for the legacy endpoint is dropped. It will be removed in 8.0.0.** |


## [nuget](detectors/nuget.md)

| Property | Description |
| --- | --- |
| [detect.dotnet.path](detectors/nuget.md#dotnet-executable) | dotnet Executable: The path to the dotnet executable. <br /><br />  |
| [detect.nuget.config.path](detectors/nuget.md#nuget-config-file) | Nuget Config File: The path to the Nuget.Config file to supply to the nuget exe. <br /><br />  |
| [detect.nuget.packages.repo.url](detectors/nuget.md#nuget-packages-repository-url) | default: https://api.nuget.org/v3/index.json <br /><br /> Nuget Packages Repository URL: The source for nuget packages <br /><br />  |
| [detect.nuget.excluded.modules](detectors/nuget.md#nuget-projects-excluded-advanced) <br /> (Advanced) | Nuget Projects Excluded: The projects within the solution to exclude. Detect will exclude all projects with names that include any of the given regex patterns. To match a full project name (for example: 'BaGet.Core'), use a regular expression that matches only the full name ('^BaGet.Core$') <br /><br />  |
| [detect.nuget.ignore.failure](detectors/nuget.md#ignore-nuget-failures-advanced) <br /> (Advanced) | default: false <br /><br /> Ignore Nuget Failures: If true errors will be logged and then ignored. <br /><br />  |
| [detect.nuget.included.modules](detectors/nuget.md#nuget-modules-included-advanced) <br /> (Advanced) | Nuget Modules Included: The names of the projects in a solution to include (overrides exclude). Detect will include all projects with names that include any of the given regex patterns. To match a full project name (for example: 'BaGet.Core'), use a regular expression that matches only the full name ('^BaGet.Core$') <br /><br />  |
| [detect.nuget.inspector.version](detectors/nuget.md#nuget-inspector-version-advanced) <br /> (Advanced) | Nuget Inspector Version: Version of the Nuget Inspector. By default Detect will run the latest version that is compatible with the Detect version. <br /><br />  |


## [lerna](detectors/lerna.md)

| Property | Description |
| --- | --- |
| [detect.lerna.path](detectors/lerna.md#lerna-executable) | Lerna Executable: Path of the lerna executable. <br /><br />  |
| [detect.lerna.include.private](detectors/lerna.md#include-lerna-packages-defined-as-private46) | default: false <br /><br /> Include Lerna Packages defined as private.: Lerna allows for private packages that do not get published. Set this to true to include all packages including private packages. <br /><br />  |
| [detect.lerna.excluded.packages](detectors/lerna.md#lerna-packages-excluded-advanced) <br /> (Advanced) | Lerna Packages Excluded: A comma-separated list of Lerna packages to exclude. <br /><br />  |
| [detect.lerna.included.packages](detectors/lerna.md#lerna-packages-included-advanced) <br /> (Advanced) | Lerna Packages Included: A comma-separated list of Lerna packages to include. <br /><br />  |


## [ruby](detectors/ruby.md)

| Property | Description |
| --- | --- |
| [detect.ruby.include.runtime.dependencies](detectors/ruby.md#ruby-runtime-dependencies) | default: true <br /><br /> Ruby Runtime Dependencies: If set to false, runtime dependencies will not be included when parsing *.gemspec files. <br /><br />  |
| [detect.ruby.include.dev.dependencies](detectors/ruby.md#ruby-development-dependencies) | default: false <br /><br /> Ruby Development Dependencies: If set to true, development dependencies will be included when parsing *.gemspec files. <br /><br />  |


## [gradle](detectors/gradle.md)

| Property | Description |
| --- | --- |
| [detect.gradle.build.command](detectors/gradle.md#gradle-build-command) | Gradle Build Command: Gradle command line arguments to add to the gradle/gradlew command line. <br /><br />  |
| [detect.gradle.path](detectors/gradle.md#gradle-executable) | Gradle Executable: The path to the Gradle executable (gradle or gradlew). <br /><br />  |
| [detect.gradle.excluded.configurations](detectors/gradle.md#gradle-exclude-configurations-advanced) <br /> (Advanced) | Gradle Exclude Configurations: A comma-separated list of Gradle configurations to exclude. <br /><br />  |
| [detect.gradle.excluded.projects](detectors/gradle.md#gradle-exclude-projects-advanced) <br /> (Advanced) | Gradle Exclude Projects: A comma-separated list of Gradle sub-projects to exclude. <br /><br />  |
| [detect.gradle.included.configurations](detectors/gradle.md#gradle-include-configurations-advanced) <br /> (Advanced) | Gradle Include Configurations: A comma-separated list of Gradle configurations to include. <br /><br />  |
| [detect.gradle.include.unresolved.configurations](detectors/gradle.md#gradle-include-unresolved-configurations-advanced) <br /> (Advanced) | default: false <br /><br /> Gradle Include Unresolved Configurations: When set to true, dependencies discovered from unresolved Gradle configurations will be included. It is set to false by default for a more accurate BOM. <br /><br />  |
| [detect.gradle.included.projects](detectors/gradle.md#gradle-include-projects-advanced) <br /> (Advanced) | Gradle Include Projects: A comma-separated list of Gradle sub-projects to include. <br /><br />  |
| [detect.gradle.inspector.version](detectors/gradle.md#gradle-inspector-version-deprecated) <br /> (Deprecated)| Gradle Inspector Version: The version of the Gradle Inspector that Detect should use. By default, Detect will try to automatically determine the correct Gradle Inspector version. <br /><br /> **DEPRECATED: This property is being removed because it no longer provides functionality. The gradle inspector library is no longer used to gather Gradle dependencies. The init script generated by Detect has all the necessary functionality. It will be removed in 8.0.0.** |


## [proxy](configuration/proxy.md)

| Property | Description |
| --- | --- |
| [blackduck.proxy.host](configuration/proxy.md#proxy-host-advanced) <br /> (Advanced) | Proxy Host: Hostname for proxy server. <br /><br />  |
| [blackduck.proxy.ignored.hosts](configuration/proxy.md#bypass-proxy-hosts-advanced) <br /> (Advanced) | Bypass Proxy Hosts: A comma separated list of regular expression host patterns that should not use the proxy. <br /><br />  |
| [blackduck.proxy.ntlm.domain](configuration/proxy.md#ntlm-proxy-domain-advanced) <br /> (Advanced) | NTLM Proxy Domain: NTLM Proxy domain. <br /><br />  |
| [blackduck.proxy.ntlm.workstation](configuration/proxy.md#ntlm-proxy-workstation-advanced) <br /> (Advanced) | NTLM Proxy Workstation: NTLM Proxy workstation. <br /><br />  |
| [blackduck.proxy.password](configuration/proxy.md#proxy-password-advanced) <br /> (Advanced) | Proxy Password: Proxy password. <br /><br />  |
| [blackduck.proxy.port](configuration/proxy.md#proxy-port-advanced) <br /> (Advanced) | Proxy Port: Proxy port. <br /><br />  |
| [blackduck.proxy.username](configuration/proxy.md#proxy-username-advanced) <br /> (Advanced) | Proxy Username: Proxy username. <br /><br />  |


## [cpan](detectors/cpan.md)

| Property | Description |
| --- | --- |
| [detect.cpan.path](detectors/cpan.md#cpan-executable) | cpan Executable: The path to the cpan executable. <br /><br />  |
| [detect.cpanm.path](detectors/cpan.md#cpanm-executable) | cpanm Executable: The path to the cpanm executable. <br /><br />  |


## [cleanup](configuration/cleanup.md)

| Property | Description |
| --- | --- |
| [detect.cleanup](configuration/cleanup.md#cleanup-output) | default: true <br /><br /> Cleanup Output: If true, the files created by Detect will be cleaned up. <br /><br />  |


## [paths](configuration/paths.md)

| Property | Description |
| --- | --- |
| [detect.bash.path](configuration/paths.md#bash-executable) | Bash Executable: Path to the Bash executable. <br /><br />  |
| [detect.bdio.output.path](configuration/paths.md#bdio-output-directory) | BDIO Output Directory: The path to the output directory for all BDIO files. <br /><br />  |
| [detect.detector.search.depth](configuration/paths.md#detector-search-depth) | default: 0 <br /><br /> Detector Search Depth: Depth of subdirectories within the source directory to which Detect will search for files that indicate whether a detector applies. <br /><br />  |
| [detect.git.path](configuration/paths.md#git-executable) | Git Executable: Path of the git executable <br /><br />  |
| [detect.java.path](configuration/paths.md#java-executable) | Java Executable: Path to the java executable. <br /><br />  |
| [detect.output.path](configuration/paths.md#detect-output-path) | Detect Output Path: The path to the output directory. <br /><br />  |
| [detect.swift.path](configuration/paths.md#swift-executable) | Swift Executable: Path of the swift executable. <br /><br />  |
| [detect.sbt.path](configuration/paths.md#sbt-executable) | Sbt Executable: Path to the Sbt executable. <br /><br />  |
| [detect.scan.output.path](configuration/paths.md#scan-output-path) | Scan Output Path: The output directory for all signature scanner output files. If not set, the signature scanner output files will be in a 'scan' subdirectory of the output directory. <br /><br />  |
| [detect.source.path](configuration/paths.md#source-path) | Source Path: The source path is the path to the project directory to inspect. If no value is provided, the source path defaults to the current working directory. <br /><br />  |
| [detect.tools](configuration/paths.md#detect-tools-included) |  Acceptable Values: ALL, NONE, DETECTOR, SIGNATURE_SCAN, BINARY_SCAN, IMPACT_ANALYSIS, POLARIS, DOCKER, BAZEL <br /><br />Detect Tools Included: The tools Detect should allow in a comma-separated list. Tools in this list (as long as they are not also in the excluded list) will be allowed to run if all criteria of the tool are met. Exclusion rules always win. <br /><br />  |
| [detect.tools.excluded](configuration/paths.md#detect-tools-excluded) |  Acceptable Values: ALL, NONE, DETECTOR, SIGNATURE_SCAN, BINARY_SCAN, IMPACT_ANALYSIS, POLARIS, DOCKER, BAZEL <br /><br />Detect Tools Excluded: The tools Detect should not allow, in a comma-separated list. Excluded tools will not be run even if all criteria for the tool is met. Exclusion rules always win. <br /><br />  |
| [detect.detector.search.continue](configuration/paths.md#detector-search-continue-advanced) <br /> (Advanced) | default: false <br /><br /> Detector Search Continue: If true, the bom tool search will continue to look for nested bom tools of the same type to the maximum search depth, see the detailed help for more information. <br /><br />  |
| [detect.excluded.directories](configuration/paths.md#detect-excluded-directories-advanced) <br /> (Advanced) | Detect Excluded Directories: A comma-separated list of names, name patterns, relative paths, or path patterns of directories that Detect should exclude. <br /><br />  |
| [detect.excluded.directories.defaults.disabled](configuration/paths.md#detect-excluded-directories-defaults-disabled-advanced) <br /> (Advanced) | default: false <br /><br /> Detect Excluded Directories Defaults Disabled: If false, Detect will exclude the default directory names. See the detailed help for more information. <br /><br />  |
| [detect.tools.output.path](configuration/paths.md#detect-tools-output-path-advanced) <br /> (Advanced) | Detect Tools Output Path: The path to the tools directory where detect should download and/or access things like the Signature Scanner that it shares over multiple runs. <br /><br />  |
| [detect.project.detector](configuration/paths.md#project-name-and-version-detector-advanced) <br /> (Advanced) | Project Name and Version Detector: The detector that will be used to determine the project name and version when multiple detector types apply. This property should be used with detect.project.tool. <br /><br />  |
| [detect.project.tool](configuration/paths.md#detector-tool-priority-advanced) <br /> (Advanced) | default: DOCKER,DETECTOR,BAZEL <br /><br />  Acceptable Values: DETECTOR, SIGNATURE_SCAN, BINARY_SCAN, IMPACT_ANALYSIS, POLARIS, DOCKER, BAZEL <br /><br />Detector Tool Priority: The tool priority for project name and version. The project name and version will be determined by the first tool in this list that provides them. <br /><br />  |
| [detect.bdio2.enabled](configuration/paths.md#bdio-2-enabled-deprecated) <br /> (Deprecated)| default: true <br /><br /> BDIO 2 Enabled: The version of BDIO files to generate. <br /><br /> **DEPRECATED: This property is being removed, along with the option to generate BDIO in BDIO1 format. In the future, BDIO2 format will be the only option. It will be removed in 8.0.0.** |


## [report](configuration/report.md)

| Property | Description |
| --- | --- |
| [detect.notices.report](configuration/report.md#generate-notices-report) | default: false <br /><br /> Generate Notices Report: When set to true, a Black Duck notices report in text form will be created in your source directory. <br /><br />  |
| [detect.notices.report.path](configuration/report.md#notices-report-path) | Notices Report Path: The output directory for notices report. Default is the source directory. <br /><br />  |
| [detect.risk.report.pdf](configuration/report.md#generate-risk-report-40pdf41) | default: false <br /><br /> Generate Risk Report (PDF): When set to true, a Black Duck risk report in PDF form will be created. <br /><br />  |
| [detect.risk.report.pdf.path](configuration/report.md#risk-report-output-path) | Risk Report Output Path: The output directory for risk report in PDF. Default is the source directory. <br /><br />  |


## [signature\-scanner](configuration/signature-scanner.md)

| Property | Description |
| --- | --- |
| [detect.blackduck.signature.scanner.arguments](configuration/signature-scanner.md#signature-scanner-arguments) | Signature Scanner Arguments: Additional arguments to use when running the Black Duck signature scanner. <br /><br />  |
| [detect.blackduck.signature.scanner.copyright.search](configuration/signature-scanner.md#signature-scanner-copyright-search) | default: false <br /><br /> Signature Scanner Copyright Search: When set to true, user will be able to scan and discover copyright names in Black Duck. Corresponding Signature Scanner CLI Argument: --copyright-search. <br /><br />  |
| [detect.blackduck.signature.scanner.dry.run](configuration/signature-scanner.md#signature-scanner-dry-run) | default: false <br /><br /> Signature Scanner Dry Run: If set to true, the signature scanner results are not uploaded to Black Duck, and the scanner results are written to disk via the Signature Scanner CLI argument: --dryRunWriteDir. <br /><br />  |
| [detect.blackduck.signature.scanner.individual.file.matching](configuration/signature-scanner.md#individual-file-matching) | default: NONE <br /><br />  Acceptable Values: NONE, SOURCE, BINARY, ALL <br /><br />Individual File Matching: Users may set this property to indicate what types of files they want to match. Corresponding Signature Scanner CLI Argument: --individualFileMatching. <br /><br />  |
| [detect.blackduck.signature.scanner.license.search](configuration/signature-scanner.md#signature-scanner-license-search) | default: false <br /><br /> Signature Scanner License Search: When set to true, user will be able to scan and discover license names in Black Duck. Corresponding Signature Scanner CLI Argument: --license-search. <br /><br />  |
| [detect.blackduck.signature.scanner.local.path](configuration/signature-scanner.md#signature-scanner-local-path) | Signature Scanner Local Path: To use a local signature scanner, specify the path where the signature scanner was unzipped. This will likely look similar to 'scan.cli-x.y.z' and includes the 'bin, icon, jre, and lib' directories of the expanded scan.cli. <br /><br />  |
| [detect.blackduck.signature.scanner.paths](configuration/signature-scanner.md#signature-scanner-target-paths) | Signature Scanner Target Paths: If this property is not set, the signature scanner target path is the source path (see property detect.source.path). If this property is set, the paths provided in this property's value will be signature scanned instead (the signature scanner will be executed once for each provided path). <br /><br />  |
| [detect.blackduck.signature.scanner.snippet.matching](configuration/signature-scanner.md#snippet-matching) | default: NONE <br /><br />  Acceptable Values: NONE, SNIPPET_MATCHING, SNIPPET_MATCHING_ONLY, FULL_SNIPPET_MATCHING, FULL_SNIPPET_MATCHING_ONLY <br /><br />Snippet Matching: Use this value to enable the various snippet scanning modes. For a full explanation, please refer to the 'Running a component scan using the Signature Scanner command line' section in your Black Duck server's online help. Corresponding Signature Scanner CLI Arguments: --snippet-matching, --snippet-matching-only, --full-snippet-scan. <br /><br />  |
| [detect.blackduck.signature.scanner.upload.source.mode](configuration/signature-scanner.md#upload-source-mode) | default: false <br /><br /> Upload source mode: If set to true, the signature scanner will, if supported by your Black Duck version, upload source code to Black Duck. Corresponding Signature Scanner CLI Argument: --upload-source. <br /><br />  |
| [detect.excluded.directories.search.depth](configuration/signature-scanner.md#detect-excluded-directories-search-depth) | default: 4 <br /><br /> Detect Excluded Directories Search Depth: Enables you to adjust the depth to which Detect will search when creating signature scanner exclusion patterns. <br /><br />  |
| [detect.blackduck.signature.scanner.memory](configuration/signature-scanner.md#signature-scanner-memory-advanced) <br /> (Advanced) | default: 4096 <br /><br /> Signature Scanner Memory: The memory for the scanner to use. <br /><br />  |


## [logging](configuration/logging.md)

| Property | Description |
| --- | --- |
| [logging.level.com.synopsys.integration](configuration/logging.md#logging-level) | default: INFO <br /><br />  Acceptable Values: OFF, ERROR, WARN, INFO, DEBUG, TRACE <br /><br />Logging Level: The logging level of Detect. <br /><br />  |
| [logging.level.detect](configuration/logging.md#logging-level-shorthand) | default: INFO <br /><br />  Acceptable Values: OFF, ERROR, WARN, INFO, DEBUG, TRACE <br /><br />Logging Level Shorthand: Shorthand for the logging level of detect. Equivalent to setting logging.level.com.synopsys.integration. <br /><br />  |


## [yarn](detectors/yarn.md)

| Property | Description |
| --- | --- |
| [detect.yarn.prod.only](detectors/yarn.md#include-yarn-production-dependencies-only) | default: false <br /><br /> Include Yarn Production Dependencies Only: Set this to true to only scan production dependencies. <br /><br />  |
| [detect.yarn.excluded.workspaces](detectors/yarn.md#yarn-exclude-workspaces-advanced) <br /> (Advanced) | Yarn Exclude Workspaces: A comma-separated list of Yarn workspaces (specified by the workspace directory's relative path) to exclude. <br /><br />  |
| [detect.yarn.included.workspaces](detectors/yarn.md#yarn-include-workspaces-advanced) <br /> (Advanced) | Yarn Include Workspaces: A comma-separated list of Yarn workspaces (specified by the workspace directory's relative path) to include. <br /><br />  |


## [detector](configuration/detector.md)

| Property | Description |
| --- | --- |
| [detect.required.detector.types](configuration/detector.md#required-detect-types) |  Acceptable Values: BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO_MOD, GO_DEP, GO_VNDR, GO_VENDOR, GO_GRADLE, GRADLE, HEX, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG <br /><br />Required Detect Types: The set of required detectors. <br /><br />  |
| [detect.excluded.detector.types](configuration/detector.md#detector-types-excluded-advanced) <br /> (Advanced) |  Acceptable Values: ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO_MOD, GO_DEP, GO_VNDR, GO_VENDOR, GO_GRADLE, GRADLE, HEX, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG <br /><br />Detector Types Excluded: By default, all detectors will be included. If you want to exclude specific detectors, specify the ones to exclude here. If you want to exclude all detectors, specify "ALL". Exclusion rules always win. <br /><br />  |
| [detect.included.detector.types](configuration/detector.md#detector-types-included-advanced) <br /> (Advanced) |  Acceptable Values: ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO_MOD, GO_DEP, GO_VNDR, GO_VENDOR, GO_GRADLE, GRADLE, HEX, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SWIFT, YARN, CLANG <br /><br />Detector Types Included: By default, all tools will be included. If you want to include only specific tools, specify the ones to include here. Exclusion rules always win. <br /><br />  |


Documentation version: 7\.8\.0
