# logging

## Logging Level
```
--logging.level.com.synopsys.integration=OFF,ERROR,WARN,INFO,DEBUG,TRACE 
```

The logging level of Detect\.

Detect logging is performed using Spring Boot's default logging setup \(Logback\)\. Detect sets the default log message format to "%d\{yyyy\-MM\-dd HH:mm:ss z\} $\{LOG\_LEVEL\_PATTERN:%\-6p\}\[%thread\] %clr\(\-\-\-\)\{faint\} %m%n$\{LOG\_EXCEPTION\_CONVERSION\_WORD:%wEx\}"\. You can change your log message format by setting the Spring Boot <i>logging\.pattern\.console</i> property to a different pattern\. Refer to the Spring Boot logging documentation for more details\.

|Details||
|---|---|
|Added|5\.3\.0|
|Type|LogLevel|
|Default Value|INFO|
|Comma Separated|No|
|Case Sensitive|Yes|
|Acceptable Values|OFF, ERROR, WARN, INFO, DEBUG, TRACE|
|Strict|Yes|
|Example|``|

## Logging Level Shorthand
```
--logging.level.detect=OFF,ERROR,WARN,INFO,DEBUG,TRACE 
```

Shorthand for the logging level of detect\. Equivalent to setting logging\.level\.com\.synopsys\.integration\.



|Details||
|---|---|
|Added|5\.5\.0|
|Type|LogLevel|
|Default Value|INFO|
|Comma Separated|No|
|Case Sensitive|Yes|
|Acceptable Values|OFF, ERROR, WARN, INFO, DEBUG, TRACE|
|Strict|Yes|
|Example|``|




