# pip

## PIP Project Name
```
--detect.pip.project.name
```

The name of your PIP project, to be used if your project's name cannot be correctly inferred from its setup\.py file\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## PIP Project Version Name
```
--detect.pip.project.version.name
```

The version of your PIP project, to be used if your project's version name cannot be correctly inferred from its setup\.py file\.



|Details||
|---|---|
|Added|4\.1\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## PIP Requirements Path
```
--detect.pip.requirements.path
```

A comma\-separated list of paths to requirements files, to be used to analyze requirements files with a filename other than requirements\.txt or to specify which requirements files should be analyzed\.

This property should only be set if you want the PIP Inspector Detector to run\. For example: If your project uses Pipenv, do not set this property\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|Path List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## PIP Include Only Project Tree
```
--detect.pip.only.project.tree=false
```

By default, pipenv includes all dependencies found in the graph\. Set to true to only include dependencies found underneath the dependency that matches the provided pip project and version name\.



|Details||
|---|---|
|Added|6\.1\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Pip Executable
```
--detect.pip.path
```

The path to the Pip executable\.



|Details||
|---|---|
|Added|6\.8\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Pipenv Executable
```
--detect.pipenv.path
```

The path to the Pipenv executable\.



|Details||
|---|---|
|Added|4\.1\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|




