# yarn

## Include Yarn Production Dependencies Only
```
--detect.yarn.prod.only=false
```

Set this to true to only scan production dependencies\.



|Details||
|---|---|
|Added|4\.0\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|


## Yarn Exclude Workspaces (Advanced)
```
--detect.yarn.excluded.workspaces
```

A comma\-separated list of Yarn workspaces \(specified by the workspace directory's relative path\) to exclude\.

By default, Detect includes all workspaces, but will skip any Yarn workspaces specified via this property\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
|Example|`workspaces/workspace-a,workspaces/*-test`|

## Yarn Include Workspaces (Advanced)
```
--detect.yarn.included.workspaces
```

A comma\-separated list of Yarn workspaces \(specified by the workspace directory's relative path\) to include\.

By default, Detect includes all workspaces\. If workspaces are excluded or included, Detect will include any workspace included by this property that is not excluded\. Exclusion rules always win\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
|Example|`workspaces/workspace-a,workspaces/workspace-b`|



